ga_Mutation {GA} | R Documentation

## Mutation operators in genetic algorithms

### Description

Functions implementing mutation genetic operator.

### Usage

    gabin_raMutation(object, parent, ...)

    gareal_raMutation(object, parent, ...)
    gareal_nraMutation(object, parent, ...)
    gareal_rsMutation(object, parent, ...)
    gareal_powMutation(object, parent, pow = 10, ...)

    gaperm_simMutation(object, parent, ...)
    gaperm_ismMutation(object, parent, ...)
    gaperm_swMutation(object, parent, ...)
    gaperm_dmMutation(object, parent, ...)
    gaperm_scrMutation(object, parent, ...)

### Arguments

`object` | An object of class `"ga"`, usually resulting from a call to function `ga`.
`parent` | A vector of values for the parent from the current population where mutation should occur.
`...` | Further arguments passed to or from other methods.
`pow` | Parameters of genetic operators.

### Value

Return a vector of values containing the mutated string.

### Author(s)

Luca Scrucca

[Package GA version 3.2 Index]